Skip to content

A proof-of-work to solve before signing up or asking for a password reset, when /api/config says proofOfWork.

GET
/api/auth/challenge
curl --request GET \
--url https://example.com/api/auth/challenge

OK

Media typeapplication/json
object
algorithm
required
string
challenge
required
string
salt
required
string
maxNumber
required
integer format: int32
token
required
string

Example generated

{
"algorithm": "example",
"challenge": "example",
"salt": "example",
"maxNumber": 1,
"token": "example"
}